// Copyright (C) 2002 Takeshi Morimoto <morimoto@takopen.cs.uec.ac.jp>
// All rights reserved.

/**
 * CopyRight (C) 2005 Bam Rescue Simulation Team.All rights resserved.
 *
 * Hamid Mohammadi <hmohammadi110@gmail.com>
 * Hamed Shahbazi  <demahopilot@yahoo.com>
 * Behrooz Shahgholi <shahgholi@eng.ui.ac.ir>
 *
 */

package yab.agent;

import java.net.*;
import yab.agent.*;
import yab.agent.object.*;
import yab.io.ProtocolConstants;

public abstract class AbstractAmbulanceCenterAgent extends CenterAgent {
    protected AbstractAmbulanceCenterAgent(InetAddress address, int port) {
        super(ProtocolConstants.AGENT_TYPE_AMBULANCE_CENTER, address, port);
    }

    protected AmbulanceCenter self() {
        return (AmbulanceCenter) world.self;
    }

    protected int hearingLimit() {
        return world.ambulanceTeams.size() * 2;
    }
}
